API ReferenceFlows
Events
Authorization
ApiKeyAuth x-api-key<token>
API key from /account/api-keys. Free tier: 100 req/hr. Pro tier: 1000 req/hr.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://gmp.ffstudios.io/api/rpc/api-reference/flows/states/events" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'[
{
"event": {
"id": "string",
"flowStateId": "string",
"eventId": "string",
"eventType": "string",
"source": "string",
"mode": "string",
"payloadSummary": "string",
"receivedAt": "2019-08-24T14:15:22Z",
"processedAt": "2019-08-24T14:15:22Z",
"status": "string",
"error": "string",
"createdAt": "2019-08-24T14:15:22Z"
},
"transition": {
"id": "string",
"flowStateEventId": "string",
"fromNodeId": "string",
"toNodeId": "string",
"nodeType": "string",
"outcome": "string",
"edgeId": "string",
"actions": "string",
"contextPatch": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
}
]